package org.dromara.ygpassport.service;

import org.dromara.ygpassport.domain.Internships;
import org.dromara.ygpassport.domain.vo.InternshipsVo;
import org.dromara.ygpassport.domain.bo.InternshipsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 实习情况Service接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface IInternshipsService {

    /**
     * 查询实习情况
     */
    InternshipsVo queryById(Long id);

    /**
     * 查询实习情况列表
     */
    TableDataInfo<InternshipsVo> queryPageList(InternshipsBo bo, PageQuery pageQuery);

    /**
     * 查询实习情况列表
     */
    List<InternshipsVo> queryList(InternshipsBo bo);

    /**
     * 根据学号查询实习情况列表
     */
    List<InternshipsVo> queryListByStuNo(String stuNo);

    /**
     * 新增实习情况
     */
    Boolean insertByBo(InternshipsBo bo);

    /**
     * 修改实习情况
     */
    Boolean updateByBo(InternshipsBo bo);

    /**
     * 校验并批量删除实习情况信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
